.col.b-input.b-input-simple
  .row.align-items-center.no-gutters(@focusin='setHasFocus(true)' @focusout='setHasFocus(false)')
    InputError(:showErrors='inEdit' :errors='errors' :warnings='warnings')
    slot(name='default' v-bind='{ ...$props, ...$data }')
      .input-group.col-12
        input.text-right.text-sm-center(v-if='inEdit' ref='input'
          v-model='editValue' v-bind='$attrs' @change='$emit("change", editValue)')
        slot(v-else name='value' v-bind='{ ...$props, ...$data }')
          input.text-right.text-sm-center(ref='input' readonly='1'
            :value='value' v-bind='$attrs')
        BaseAnimationBlock(v-if='!noEditIcon' :anim='hasValueSlot ? "" : "width"')
          .input-group-append(key='0' v-if='inEdit'
                              @mousedown.prevent='' @click="emitEditRequest(false)")
            label.input-group-text.b-clickable #[i.fa.fa-edit.px-1.ml-1]
          .input-group-append(key='1' v-else-if='showEditIcon'
                              @mousedown.prevent='' @click="emitEditRequest(true)")
            label.input-group-text.b-clickable #[i.fa.fa-edit.px-1.ml-1.text-primary]
